extends Node2D

var golems
var game
@onready var animation_player = $AnimationPlayer


func _ready():
	golems = get_tree().root.find_child("HomeSpawn", true, false)
	game = get_tree().root.find_child("Game", true, false)


func _process(_delta):
	animation("idle")
	
	


func animation(animation_name):
	if animation_player.current_animation == animation_name and animation_player.is_playing():
		return
	
	if animation_player.current_animation != "cast":
		animation_player.play(animation_name)
